llfifo: XLlFifo Struct Reference

| llfifo Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XLlFifo Struct Reference
Llfifo_v5_3

This typedef defines a run-time instance of an XLlFifo device. More...

## Data Fields
UINTPTR | BaseAddress
    BaseAddress is the physical base address of the
device's registers More...
u32 | IsReady
| IsReady is non-zero if the driver instance has been initialized. More...
u32 | Axi4BaseAddress
| BaseAddress if the FIFO Data interface is AXI4 this address should use for FIFO access. More...
u32 | Datainterface
| Data interface of the FIFO. More...
XStrm_RxFifoStreamer | RxStreamer
| RxStreamer is the byte streamer instance for the receive channel. More...
XStrm_TxFifoStreamer | TxStreamer
| TxStreamer is the byte streamer instance for the transmit channel. More...

## Detailed Description

This typedef defines a run-time instance of an XLlFifo device.

## Field Documentation

u32 XLlFifo::Axi4BaseAddress

BaseAddress if the FIFO Data interface is AXI4 this address should use for FIFO access.

Referenced by XLlFifo_CfgInitialize(), and XLlFifo_Initialize().

UINTPTR XLlFifo::BaseAddress

    BaseAddress is the physical base address of the

device's registers

Referenced by XLlFifo_CfgInitialize(), XLlFifo_Initialize(), XLlFifo_iRxGetLen(), XLlFifo_iRxOccupancy(), XLlFifo_iTxSetLen(), XLlFifo_iTxVacancy(), and XLlFifoInterruptExample().

u32 XLlFifo::Datainterface

Data interface of the FIFO.

This value is zero if the Datainterface is AXI4-lite.

Referenced by XLlFifo_CfgInitialize(), XLlFifo_RxGetWord(), and XLlFifo_TxPutWord().

u32 XLlFifo::IsReady

IsReady is non-zero if the driver instance has been initialized.

Referenced by XLlFifo_CfgInitialize(), and XLlFifo_Initialize().

XStrm_RxFifoStreamer XLlFifo::RxStreamer

RxStreamer is the byte streamer instance for the receive channel.

Referenced by XLlFifo_CfgInitialize(), and XLlFifo_Initialize().

XStrm_TxFifoStreamer XLlFifo::TxStreamer

TxStreamer is the byte streamer instance for the transmit channel.

Referenced by XLlFifo_CfgInitialize(), and XLlFifo_Initialize().